## EntryCount
## Counts published Movable Type entries
##
## Installation and usage instructions can be found at
## http://kalsey.com/blog/movable_type/
## 
## LICENSE
## --------------------------------------------------------
## Copyright (c) 2003 Kalsey Consulting Group 
## http://kalsey.com/
## 
## Permission is hereby granted, free of charge, to any person 
## obtaining a copy of this software and associated 
## documentation files (the "Software"), to deal in the Software 
## without restriction, including without limitation the rights 
## to use, copy, modify, merge, publish, distribute, sublicense, 
## and/or sell copies of the Software, and to permit persons to 
## whom the Software is furnished to do so, subject to the 
## following conditions:
## 
## The above copyright notice and this permission notice shall 
## be included in all copies or substantial portions of the 
## Software.
## 
## THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY 
## KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
## WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
## PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR 
## COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
## LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
## OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
## SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


use MT::Template::Context;
use strict;

MT::Template::Context->add_tag(EntryCount => sub { &EntryCount; });

sub EntryCount {
    my($ctx, $args, $cond) = @_;
    require MT::Entry;
    my $blog_id = $ctx->stash('blog_id');
    my @entries = MT::Entry->load({ blog_id => $ctx->stash('blog_id'),
                                     status => MT::Entry::RELEASE() }, { });
    my $num_entries = scalar(@entries);
}